summaryrefslogtreecommitdiff
path: root/tests/cp/into-self
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/into-self')
-rwxr-xr-xtests/cp/into-self4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/into-self b/tests/cp/into-self
index 0ca8bb92a..9a6a52851 100755
--- a/tests/cp/into-self
+++ b/tests/cp/into-self
@@ -26,7 +26,7 @@ mkdir dir || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -42,4 +42,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail